org.keycloak.broker.oidc

## Class OIDCIdentityProvider.OIDCEndpoint

- java.lang.Object
- - org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint
  - - org.keycloak.broker.oidc.OIDCIdentityProvider.OIDCEndpoint

- Direct Known Subclasses:
    KeycloakOIDCIdentityProvider.KeycloakEndpoint
  Enclosing class:
    OIDCIdentityProvider

      protected class OIDCIdentityProvider.OIDCEndpoint
      extends AbstractOAuth2IdentityProvider.Endpoint

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint

      `callback, clientConnection, event, headers, realm, session, uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCIdentityProvider.OIDCEndpoint(IdentityProvider.AuthenticationCallback callback, RealmModel realm, EventBuilder event)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `logoutResponse(javax.ws.rs.core.UriInfo uriInfo, String state)`

    - ### Methods inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint

      `authResponse, generateTokenRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OIDCIdentityProvider.OIDCEndpoint

          public OIDCIdentityProvider.OIDCEndpoint(IdentityProvider.AuthenticationCallback callback,
                                           RealmModel realm,
                                           EventBuilder event)

  - ### Method Detail

    - #### logoutResponse

          @GET
          @Path(value="logout_response")
          public javax.ws.rs.core.Response logoutResponse(@Context
                                                          javax.ws.rs.core.UriInfo uriInfo,
                                                          @QueryParam(value="state")
                                                          String state)

Copyright © 2015. All rights reserved.